Package org.eclipse.e4.ui.model.application.ui.impl

# Class UIElementImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

All Implemented Interfaces:
  `MApplicationElement`, `MLocalizable`, `MUIElement`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `ElementContainerImpl`, `ItemImpl`, `MenuElementImpl`, `PartImpl`, `PlaceholderImpl`, `ToolBarElementImpl`

public abstract class UIElementImpl extends ApplicationElementImpl implements MUIElement
An implementation of the model object 'UI Element'.

The following features are implemented:

- `Widget`
- `Renderer`
- `To Be Rendered`
- `On Top`
- `Visible`
- `Parent`
- `Container Data`
- `Cur Shared Ref`
- `Visible When`
- `Accessibility Phrase`
- `Localized Accessibility Phrase`

Since:
  1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`ACCESSIBILITY_PHRASE_EDEFAULT`
The default value of the '`Accessibility Phrase`' attribute.
`protected String`
`accessibilityPhrase`
The cached value of the '`Accessibility Phrase`' attribute.
`protected static final String`
`CONTAINER_DATA_EDEFAULT`
The default value of the '`Container Data`' attribute.
`protected String`
`containerData`
The cached value of the '`Container Data`' attribute.
`protected MPlaceholder`
`curSharedRef`
The cached value of the '`Cur Shared Ref`' reference.
`protected static final String`
`LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT`
The default value of the '`Localized Accessibility Phrase`' attribute.
`protected static final boolean`
`ON_TOP_EDEFAULT`
The default value of the '`On Top`' attribute.
`protected boolean`
`onTop`
The cached value of the '`On Top`' attribute.
`protected Object`
`renderer`
The cached value of the '`Renderer`' attribute.
`protected static final Object`
`RENDERER_EDEFAULT`
The default value of the '`Renderer`' attribute.
`protected static final boolean`
`TO_BE_RENDERED_EDEFAULT`
The default value of the '`To Be Rendered`' attribute.
`protected boolean`
`toBeRendered`
The cached value of the '`To Be Rendered`' attribute.
`protected boolean`
`visible`
The cached value of the '`Visible`' attribute.
`protected static final boolean`
`VISIBLE_EDEFAULT`
The default value of the '`Visible`' attribute.
`protected MExpression`
`visibleWhen`
The cached value of the '`Visible When`' containment reference.
`protected Object`
`widget`
The cached value of the '`Widget`' attribute.
`protected static final Object`
`WIDGET_EDEFAULT`
The default value of the '`Widget`' attribute.

### Fields inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`UIElementImpl()`

## Method Summary

Modifier and Type
Method
Description
`MPlaceholder`
`basicGetCurSharedRef()`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetParent(MElementContainer<MUIElement> newParent, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetVisibleWhen(MExpression newVisibleWhen, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int`
`eDerivedOperationID(int baseOperationID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getAccessibilityPhrase()`
`String`
`getContainerData()`
`MPlaceholder`
`getCurSharedRef()`
`String`
`getLocalizedAccessibilityPhrase()`
`MElementContainer<MUIElement>`
`getParent()`
`Object`
`getRenderer()`
`MExpression`
`getVisibleWhen()`
`Object`
`getWidget()`
`boolean`
`isOnTop()`
`boolean`
`isToBeRendered()`
`boolean`
`isVisible()`
`void`
`setAccessibilityPhrase(String newAccessibilityPhrase)`
`void`
`setContainerData(String newContainerData)`
`void`
`setCurSharedRef(MPlaceholder newCurSharedRef)`
`void`
`setOnTop(boolean newOnTop)`
`void`
`setParent(MElementContainer<MUIElement> newParent)`
`void`
`setRenderer(Object newRenderer)`
`void`
`setToBeRendered(boolean newToBeRendered)`
`void`
`setVisible(boolean newVisible)`
`void`
`setVisibleWhen(MExpression newVisibleWhen)`
`void`
`setWidget(Object newWidget)`
`String`
`toString()`
If the method `toStringGen()` below changes, please ensure that this is updated.
`String`
`toStringGen()`
If the method below changes, please ensure that `toString()` is updated.
`void`
`updateLocalization()`

### Methods inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### WIDGET_EDEFAULT

protected static final Object WIDGET_EDEFAULT
The default value of the '`Widget`' attribute.

See Also:
  - `getWidget()`

### widget

protected Object widget
The cached value of the '`Widget`' attribute.

See Also:
  - `getWidget()`

### RENDERER_EDEFAULT

protected static final Object RENDERER_EDEFAULT
The default value of the '`Renderer`' attribute.

See Also:
  - `getRenderer()`

### renderer

protected Object renderer
The cached value of the '`Renderer`' attribute.

See Also:
  - `getRenderer()`

### TO_BE_RENDERED_EDEFAULT

protected static final boolean TO_BE_RENDERED_EDEFAULT
The default value of the '`To Be Rendered`' attribute.

See Also:
  - `isToBeRendered()`
  - Constant Field Values

### toBeRendered

protected boolean toBeRendered
The cached value of the '`To Be Rendered`' attribute.

See Also:
  - `isToBeRendered()`

### ON_TOP_EDEFAULT

protected static final boolean ON_TOP_EDEFAULT
The default value of the '`On Top`' attribute.

See Also:
  - `isOnTop()`
  - Constant Field Values

### onTop

protected boolean onTop
The cached value of the '`On Top`' attribute.

See Also:
  - `isOnTop()`

### VISIBLE_EDEFAULT

protected static final boolean VISIBLE_EDEFAULT
The default value of the '`Visible`' attribute.

See Also:
  - `isVisible()`
  - Constant Field Values

### visible

protected boolean visible
The cached value of the '`Visible`' attribute.

See Also:
  - `isVisible()`

### CONTAINER_DATA_EDEFAULT

protected static final String CONTAINER_DATA_EDEFAULT
The default value of the '`Container Data`' attribute.

See Also:
  - `getContainerData()`

### containerData

protected String containerData
The cached value of the '`Container Data`' attribute.

See Also:
  - `getContainerData()`

### curSharedRef

protected MPlaceholder curSharedRef
The cached value of the '`Cur Shared Ref`' reference.

See Also:
  - `getCurSharedRef()`

### visibleWhen

protected MExpression visibleWhen
The cached value of the '`Visible When`' containment reference.

See Also:
  - `getVisibleWhen()`

### ACCESSIBILITY_PHRASE_EDEFAULT

protected static final String ACCESSIBILITY_PHRASE_EDEFAULT
The default value of the '`Accessibility Phrase`' attribute.

See Also:
  - `getAccessibilityPhrase()`

### accessibilityPhrase

protected String accessibilityPhrase
The cached value of the '`Accessibility Phrase`' attribute.

See Also:
  - `getAccessibilityPhrase()`

### LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT

protected static final String LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT
The default value of the '`Localized Accessibility Phrase`' attribute.

See Also:
  - `getLocalizedAccessibilityPhrase()`

## Constructor Details

### UIElementImpl

protected UIElementImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ApplicationElementImpl`

### getWidget

public Object getWidget()

Specified by:
  `getWidget` in interface `MUIElement`
Returns:
  the value of the 'Widget' attribute.
See Also:
  - `MUIElement.setWidget(Object)`

### setWidget

public void setWidget(Object newWidget)

Specified by:
  `setWidget` in interface `MUIElement`
Parameters:
  `newWidget` - the new value of the 'Widget' attribute.
See Also:
  - `MUIElement.getWidget()`

### getRenderer

public Object getRenderer()

Specified by:
  `getRenderer` in interface `MUIElement`
Returns:
  the value of the 'Renderer' attribute.
See Also:
  - `MUIElement.setRenderer(Object)`

### setRenderer

public void setRenderer(Object newRenderer)

Specified by:
  `setRenderer` in interface `MUIElement`
Parameters:
  `newRenderer` - the new value of the 'Renderer' attribute.
See Also:
  - `MUIElement.getRenderer()`

### isToBeRendered

public boolean isToBeRendered()

Specified by:
  `isToBeRendered` in interface `MUIElement`
Returns:
  the value of the 'To Be Rendered' attribute.
See Also:
  - `MUIElement.setToBeRendered(boolean)`

### setToBeRendered

public void setToBeRendered(boolean newToBeRendered)

Specified by:
  `setToBeRendered` in interface `MUIElement`
Parameters:
  `newToBeRendered` - the new value of the 'To Be Rendered' attribute.
See Also:
  - `MUIElement.isToBeRendered()`

### isOnTop

public boolean isOnTop()

Specified by:
  `isOnTop` in interface `MUIElement`
Returns:
  the value of the 'On Top' attribute.
See Also:
  - `MUIElement.setOnTop(boolean)`

### setOnTop

public void setOnTop(boolean newOnTop)

Specified by:
  `setOnTop` in interface `MUIElement`
Parameters:
  `newOnTop` - the new value of the 'On Top' attribute.
See Also:
  - `MUIElement.isOnTop()`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `MUIElement`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `MUIElement.setVisible(boolean)`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `MUIElement`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `MUIElement.isVisible()`

### getParent

public MElementContainer<MUIElement> getParent()

Specified by:
  `getParent` in interface `MUIElement`
Returns:
  the value of the 'Parent' container reference.
See Also:
  - `MUIElement.setParent(MElementContainer)`
  - `MElementContainer.getChildren()`

### basicSetParent

public org.eclipse.emf.common.notify.NotificationChain basicSetParent(MElementContainer<MUIElement> newParent, org.eclipse.emf.common.notify.NotificationChain msgs)

### setParent

public void setParent(MElementContainer<MUIElement> newParent)

Specified by:
  `setParent` in interface `MUIElement`
Parameters:
  `newParent` - the new value of the 'Parent' container reference.
See Also:
  - `MUIElement.getParent()`

### getContainerData

public String getContainerData()

Specified by:
  `getContainerData` in interface `MUIElement`
Returns:
  the value of the 'Container Data' attribute.
See Also:
  - `MUIElement.setContainerData(String)`

### setContainerData

public void setContainerData(String newContainerData)

Specified by:
  `setContainerData` in interface `MUIElement`
Parameters:
  `newContainerData` - the new value of the 'Container Data' attribute.
See Also:
  - `MUIElement.getContainerData()`

### getCurSharedRef

public MPlaceholder getCurSharedRef()

Specified by:
  `getCurSharedRef` in interface `MUIElement`
Returns:
  the value of the 'Cur Shared Ref' reference.
See Also:
  - `MUIElement.setCurSharedRef(MPlaceholder)`

### basicGetCurSharedRef

public MPlaceholder basicGetCurSharedRef()

### setCurSharedRef

public void setCurSharedRef(MPlaceholder newCurSharedRef)

Specified by:
  `setCurSharedRef` in interface `MUIElement`
Parameters:
  `newCurSharedRef` - the new value of the 'Cur Shared Ref' reference.
See Also:
  - `MUIElement.getCurSharedRef()`

### getVisibleWhen

public MExpression getVisibleWhen()

Specified by:
  `getVisibleWhen` in interface `MUIElement`
Returns:
  the value of the 'Visible When' containment reference.
See Also:
  - `MUIElement.setVisibleWhen(MExpression)`

### basicSetVisibleWhen

public org.eclipse.emf.common.notify.NotificationChain basicSetVisibleWhen(MExpression newVisibleWhen, org.eclipse.emf.common.notify.NotificationChain msgs)

### setVisibleWhen

public void setVisibleWhen(MExpression newVisibleWhen)

Specified by:
  `setVisibleWhen` in interface `MUIElement`
Parameters:
  `newVisibleWhen` - the new value of the 'Visible When' containment reference.
See Also:
  - `MUIElement.getVisibleWhen()`

### getAccessibilityPhrase

public String getAccessibilityPhrase()

Specified by:
  `getAccessibilityPhrase` in interface `MUIElement`
Returns:
  the value of the 'Accessibility Phrase' attribute.
See Also:
  - `MUIElement.setAccessibilityPhrase(String)`

### setAccessibilityPhrase

public void setAccessibilityPhrase(String newAccessibilityPhrase)

Specified by:
  `setAccessibilityPhrase` in interface `MUIElement`
Parameters:
  `newAccessibilityPhrase` - the new value of the 'Accessibility Phrase' attribute.
See Also:
  - `MUIElement.getAccessibilityPhrase()`

### getLocalizedAccessibilityPhrase

public String getLocalizedAccessibilityPhrase()

Specified by:
  `getLocalizedAccessibilityPhrase` in interface `MUIElement`
Returns:
  the value of the 'Localized Accessibility Phrase' attribute.

### updateLocalization

public void updateLocalization()

Specified by:
  `updateLocalization` in interface `MLocalizable`
Since:
  1.1

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ApplicationElementImpl`

### eBasicRemoveFromContainerFeature

public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ApplicationElementImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ApplicationElementImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ApplicationElementImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ApplicationElementImpl`

### eDerivedOperationID

public int eDerivedOperationID(int baseOperationID, Class<?> baseClass)

Specified by:
  `eDerivedOperationID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedOperationID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInvoke

public Object eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eInvoke` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
Throws:
  `InvocationTargetException`

### toString

public String toString()
If the method `toStringGen()` below changes, please ensure that this is updated.

Overrides:
  `toString` in class `ApplicationElementImpl`

### toStringGen

public String toStringGen()
If the method below changes, please ensure that `toString()` is updated.